import { SYSTEM } from "../config/system.mjs"
import { htmlField } from "./shared.mjs"

export default class MGNEFeature extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      featureId: new foundry.data.fields.StringField({
        required: true,
        nullable: false,
        initial: "akimbo-hit-priest",
        choices: SYSTEM.featureChoices,
      }),
      description: htmlField(""),
    }
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["MGNE.Feature"]
}
